Package com.fasterxml.jackson.datatype.joda.cfg

## Class FormatConfig

- java.lang.Object
- - com.fasterxml.jackson.datatype.joda.cfg.FormatConfig

    public class FormatConfig
    extends Object

Simple container class that holds both default formatter information and explicit overrides caller has set for the Joda module to register. Note that changes to configuration instance MUST be made before registering the module; changes after registration may not have effect on actual settings used.

Since:
  2.5

### Field Summary

Fields
`static JacksonJodaDateFormat` `DEFAULT_DATEONLY_FORMAT`
`static JacksonJodaDateFormat` `DEFAULT_DATETIME_FORMAT` Deprecated. Since 2.6.1
`static JacksonJodaDateFormat` `DEFAULT_DATETIME_PARSER`
`static JacksonJodaDateFormat` `DEFAULT_DATETIME_PRINTER`
`static JacksonJodaDateFormat` `DEFAULT_LOCAL_DATEONLY_FORMAT`
`static JacksonJodaDateFormat` `DEFAULT_LOCAL_DATETIME_PARSER`
`static JacksonJodaDateFormat` `DEFAULT_LOCAL_DATETIME_PRINTER`
`static JacksonJodaDateFormat` `DEFAULT_LOCAL_TIMEONLY_PARSER`
`static JacksonJodaDateFormat` `DEFAULT_LOCAL_TIMEONLY_PRINTER`
`static JacksonJodaPeriodFormat` `DEFAULT_PERIOD_FORMAT`
`static JacksonJodaDateFormat` `DEFAULT_TIMEONLY_FORMAT`

### Constructor Summary

Constructors
`FormatConfig​()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_DATEONLY_FORMAT

    public static final JacksonJodaDateFormat DEFAULT_DATEONLY_FORMAT

#### DEFAULT_TIMEONLY_FORMAT

    public static final JacksonJodaDateFormat DEFAULT_TIMEONLY_FORMAT

#### DEFAULT_DATETIME_PARSER

    public static final JacksonJodaDateFormat DEFAULT_DATETIME_PARSER

#### DEFAULT_DATETIME_PRINTER

    public static final JacksonJodaDateFormat DEFAULT_DATETIME_PRINTER

#### DEFAULT_DATETIME_FORMAT

    @Deprecated
    public static final JacksonJodaDateFormat DEFAULT_DATETIME_FORMAT

Deprecated. Since 2.6.1

#### DEFAULT_LOCAL_DATEONLY_FORMAT

    public static final JacksonJodaDateFormat DEFAULT_LOCAL_DATEONLY_FORMAT

#### DEFAULT_LOCAL_TIMEONLY_PRINTER

    public static final JacksonJodaDateFormat DEFAULT_LOCAL_TIMEONLY_PRINTER

#### DEFAULT_LOCAL_TIMEONLY_PARSER

    public static final JacksonJodaDateFormat DEFAULT_LOCAL_TIMEONLY_PARSER

#### DEFAULT_LOCAL_DATETIME_PRINTER

    public static final JacksonJodaDateFormat DEFAULT_LOCAL_DATETIME_PRINTER

#### DEFAULT_LOCAL_DATETIME_PARSER

    public static final JacksonJodaDateFormat DEFAULT_LOCAL_DATETIME_PARSER

#### DEFAULT_PERIOD_FORMAT

    public static final JacksonJodaPeriodFormat DEFAULT_PERIOD_FORMAT

### Constructor Detail

#### FormatConfig

    public FormatConfig​()